<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

<title> Postfix stable release 2.6.1 </title>

<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">

</head>

<body>

<h1> Postfix stable release 2.6.1 </h1>

<p>
An on-line version of this announcement is available at
<a href="http://www.postfix.org/announcements/postfix-2.6.1.html">http://www.postfix.org/announcements/postfix-2.6.1.html</a>
</p>

<p>
Postfix stable release 2.6.1 fixes one defect in Milter support.
This does not affect Postfix versions 2.5 and earlier.
</p>

<ul>

<li> <p>
  Queue file corruption under very specific conditions: (<a href="postconf.5.html#smtpd_milters">smtpd_milters</a>
  or <a href="postconf.5.html#non_smtpd_milters">non_smtpd_milters</a>) enabled, AND <a href="postconf.5.html#delay_warning_time">delay_warning_time</a> enabled,
  AND mail delivery delays, AND short envelope sender addresses
  (e.g., sendmail command-line submissions with bare usernames as
  the sender, but not bounce messages).
</p>

<p>
  The queue file would be corrupted when the <a href="postconf.5.html#delay_warning_time">delay_warning_time</a>
  record was marked as "done" after sending the "your mail is
  delayed" notice.  The defect was introduced with Postfix 2.3, but
  it could not cause corruption before the change dated 20090427.
</p>

</ul>

<p>
You can find Postfix version 2.6.1 at the mirrors listed at
<a href="http://www.postfix.org/">http://www.postfix.org/</a>
</p>

<p>
The same code is also available as Postfix snapshot 2.7-20090519.
Postfix versions 2.5 and earlier are not affected.
</p>

</body>

</html>
